Uplink 1.52 Patch (Windows/Linux), Demo Windows

Discussion about the latest patch

Moderators: bert_the_turtle, jelco, Rkiver, frenchfrog, JamesL

User avatar
frenchfrog
level5
level5
Posts: 2572
Joined: Sun Sep 22, 2002 7:11 pm
Location: Quebec

Uplink 1.52 Patch (Windows/Linux), Demo Windows

Postby frenchfrog » Mon Oct 23, 2006 12:32 am

As usual, download the windows patch, linux patch (note that it requires all the .dat files to be in lib/) or linux patch with installer.
View the full changelog here.
The windows demo.


On Linux, if you hit a crash please report the relevant part of the ~/uplink/debug.log file, please also report the distro you are using. All testing was done on Ubuntu 6.06 .

Please note that on the linux version, fonts should now work fine.




VERSION 1.52

- Fixed : LANs with multiple radio transmitters having the same frequency.
- Fixed : A crash and a memory leak with IRC.
- Fixed : Font problems on Linux.

- Changed : Show a warning when buying a gateway security and there is no free memory to put the software driver.
- Changed : Resize the gateway screen display to screen size.
offsides
level1
level1
Posts: 11
Joined: Sun Oct 15, 2006 6:36 pm

Postby offsides » Mon Oct 23, 2006 1:42 am

FYI, other than the text in the changelog, there's no difference between the 1.51TRYB and 1.52 patches for linux, but I don't remember seeing all of the changes in the TRYB discussion. I don't know if that's because you just didn't announce the other changes or you oopsed the archive. In any case, thanks for the patch!
jokeyrhyme
level1
level1
Posts: 30
Joined: Fri Sep 22, 2006 7:23 am
Location: NSW, Australia
Contact:

Postby jokeyrhyme » Mon Oct 23, 2006 5:39 am

Okay, I thought I was just hallucinating before, but I noticed it again.

Run the game in Linux (no pre-existing ~/.uplink folder) on a widescreen (mine's 1280x800). I didn't notice anything wierd yet, but it's possible that the problem is present right from the get go.

After successfully registering with Uplink Corp, logout. I find that the log-in screen appears to be 4:3 on the left side of my 16:10 display.

The problem persists until you quit the game and go back in. I'm guessing that once it reads the the options file properly, it knows what the actual resolution is and can spread the interface out accordingly.

Not a huge problem, and since the problem is so easily remedied, I don't see any reason to fix it if it's going to take ages to do. Just thought you'd like to know.

EDIT: Okay, this only affects the login screen. The registration process seems to be spread across my display properly.
ZeroC00l
level0
Posts: 3
Joined: Mon Oct 23, 2006 1:36 pm

missing library

Postby ZeroC00l » Mon Oct 23, 2006 2:00 pm

After applying this patch (1.52, Linux version) uplink fails to load due to a missing library, libftgl.so.0 . I am using ubuntu 6.06, but the only related package I have found searching both the ubuntu and debian repositories is ftgl-dev, providing only the development files (headers an static librarys). Likewise, compiling the ftgl source from http://homepages.paradise.net.nz/henryj/code/#FTGL results in static librarys only.
Any hint on how to solve this Problem ?

Edit:
I got a working libftgl.so.0 by the following steps:
  1. obtain a copy of the ftgl source from http://homepages.paradise.net.nz/henryj/code/#FTGL (ftgl-2.1.2.tar.gz)
  2. extract the source and manually apply the changes documented in {uplink installation directory}/lib/FTGL.patch (may I suggest using a regular patch as produced by diff in the future, which can be automatically applyed using the patch command ?)
  3. run ./configure --enable-shared
  4. run make && make install (defaults to installation in /usr/local)
  5. play uplink and enjoy clear readable fonts :wink:
Last edited by ZeroC00l on Mon Oct 23, 2006 3:12 pm, edited 2 times in total.
User avatar
frenchfrog
level5
level5
Posts: 2572
Joined: Sun Sep 22, 2002 7:11 pm
Location: Quebec

Re: missing library

Postby frenchfrog » Mon Oct 23, 2006 2:34 pm

ZeroC00l wrote:After applying this patch (1.52, Linux version) uplink fails to load due to a missing library, libftgl.so.0 .


The file should be in the uplink/lib directory .

Worse case try the .tar.gz
Winckle
level0
Posts: 5
Joined: Sat Sep 30, 2006 10:30 am
Contact:

Postby Winckle » Mon Oct 23, 2006 2:42 pm

Hey guys, I hope you can help me, I applied this patch to my 1.31 install on Kubuntu Edgy. And now when it won't start. I launched it from the console to get an error message, i have pasted it below.

mark@mark-desktop:~/uplink$ ./uplink
.
./lib/uplink.bin.x86: error while loading shared libraries: libftgl.so.0: cannot open shared object file: No such file or directory

---
Any help would really be appreciated, I only ordered this game last night, and I from what I played I really enjoyed it, and I want to get back to it.
ZeroC00l
level0
Posts: 3
Joined: Mon Oct 23, 2006 1:36 pm

Postby ZeroC00l » Mon Oct 23, 2006 2:47 pm

Have a look two post up :D
Winckle
level0
Posts: 5
Joined: Sat Sep 30, 2006 10:30 am
Contact:

Postby Winckle » Mon Oct 23, 2006 2:53 pm

ZeroC00l wrote:Have a look two post up :D


Yeah, i'm kicking myself now :D

Thanks for such a rapid response, introversion are the only company who'll answer a tech support question 8 minutes before you ask it!

Now it runs just fine!

There must be a mistake in the Loki installer where the ftgl lib isn't copied over.
jokeyrhyme
level1
level1
Posts: 30
Joined: Fri Sep 22, 2006 7:23 am
Location: NSW, Australia
Contact:

Postby jokeyrhyme » Tue Oct 24, 2006 1:03 am

Just letting you know, I got that "you are running an illegal copy of Uplink" message again. I was actually trying to get caught (to show a friend the what it looks like) so it's possible I've just been getting the wrong message. This is under Gentoo Linux 2006.1.

I'm going to completely delete everything Uplink related, re-install from the 1.31.sh file on the CD, and then patch with the 1.52.sh file. I'm hoping this will fix it.

I didn't realise there were any counter-piracy measures beyond the code sheet.
Robert
level2
level2
Posts: 106
Joined: Tue Oct 30, 2001 5:39 am
Location: Oklahoma

Postby Robert » Tue Oct 24, 2006 3:10 pm

Looking at the code from the dev cd that would just be down right weird that your getting that error from you cd installed copy. Must be one of those one in one million chances. Hopefully frenchfrog can track it down for you. :?
offsides
level1
level1
Posts: 11
Joined: Sun Oct 15, 2006 6:36 pm

Postby offsides » Wed Oct 25, 2006 4:37 am

- Changed : Show a warning when buying a gateway security and there is no free memory to put the software driver.

I think you made an oops - no matter how much memory I have free I can't purchase security devices - it says I need at least 1Gq memory free. Thanks for putting the check in, I guess it'll have to be fixed for 1.53 :)
Minuetta
level0
Posts: 1
Joined: Wed Oct 25, 2006 8:32 am

Postby Minuetta » Wed Oct 25, 2006 8:36 am

offisdes wrote:
- Changed : Show a warning when buying a gateway security and there is no free memory to put the software driver.

I think you made an oops - no matter how much memory I have free I can't purchase security devices - it says I need at least 1Gq memory free. Thanks for putting the check in, I guess it'll have to be fixed for 1.53 :)


Yes I noticed the same thing, and I was all excited to buy my first security system after my very first bank robbery! :( *cry* Any suggestions on what to do to fix this?

Edit: I know, it's my own fault for not taking the proper precautions and backing up my save games - I was too eager to install the latest patch, not realizing it was beta still . . . sorry. Any suggestions?
User avatar
frenchfrog
level5
level5
Posts: 2572
Joined: Sun Sep 22, 2002 7:11 pm
Location: Quebec

Postby frenchfrog » Wed Oct 25, 2006 3:32 pm

Should be fixed in the next release.

Return to “Latest Patch”

Who is online

Users browsing this forum: No registered users and 3 guests